//Bibliotheken laden
#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>

//CE - digitaler Pin D6
//CSN - digitaler Pin D7
RF24 radio(6, 7);  // CE, CSN

//Adresse über welche die Kommunikation stattfinden soll
const byte address[6] = "00001";

//LED am digitalen Pin D4 angeschlossen
#define led 4
//Variable um sich den Status der LED (AN/AUS) zu speichern
int ledStatus = 0;

void setup() {
  //Pin der LED als Ausgang definieren
  pinMode(led, OUTPUT);

  //solange der serielle Port nicht initialisiert ist
  //soll ein leere Schleife ausgeführt werden
  while (!Serial);

  //beginn der seriellen Kommunikation mit 9600baud
  Serial.begin(9600);

  radio.begin();

  //setzen der Adresse
  //es können mehr als eine Adresse verwendet werden
  radio.openReadingPipe(0, address);

  //starten des "abhören"
  radio.startListening();
}

void loop() {
  String t = "OFF";

  //Wenn Daten empfangen wurden, dann...
  if (radio.available()) {
    //einen Buffer für den gelesen Text initialisieren
    char text[32] = {0};
    //lesen der Daten in den Buffer
    radio.read(&text, sizeof(text));
    //umwandeln des Buffers (char Arrays) in einen String
    //dieses macht das vergleichen später einfacher
    t = String(text);
    //Ausgeben des gelesenen Textes auf der seriellen Schnittstelle
    Serial.println(text);
  }
  //Wenn der gelesene Text gleich "ON" ist dann soll die LED
  //aktiviert werden, d.h. Status 1 ansonsten Status 0 und die
  //LED wird deaktiviert.
  ledStatus = t == "ON" ? 1 : 0;
  digitalWrite(led, ledStatus);
  
  //eine kleine Pause von 500ms.
  //diese Pause sorgt dafür das die LED blinkt
  delay(500);
}
